Show / Hide Table of Contents

# Struct ResourceHandle

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.System.Resource.Handle

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct ResourceHandle

### Fields

| Improve this Doc View Source

#### Category

##### Declaration

    public ResourceCategory Category

##### Field Value

Type | Description
--- | ---
ResourceCategory |

| Improve this Doc View Source

#### FileName

##### Declaration

    public String FileName

##### Field Value

Type | Description
--- | ---
String |

| Improve this Doc View Source

#### FileType

##### Declaration

    public uint FileType

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Id

##### Declaration

    public uint Id

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### RefCount

##### Declaration

    public uint RefCount

##### Field Value

Type | Description
--- | ---
System.UInt32 |

### Methods

| Improve this Doc View Source

#### DecRef()

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 48 C7 03 ?? ?? ?? ?? C6 83")]
    public bool DecRef()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IncRef()

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 41 8B 46 30 C1 E0 05")]
    public bool IncRef()

##### Returns

Type | Description
--- | ---
System.Boolean |